unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Chart1: TChart;
    Timer1: TTimer;
    Series1: TPieSeries;
    procedure Button3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Series1.FillSampleValues(5);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  // Series1.Rotate(10);  //obrót o 10° w lewo, obrót wykona się w prawo (pozornie)
  //przy Timerze przycisk moze go włączać, wczesniej trzeba wylaczyc korzystajac z Inspektora Obiektów
  Timer1.Enabled:=true;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Series1.ExplodeBiggest:=20
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
   Series1.Rotate(10);  //obrót o 10° w lewo, obrót wykona się w prawo (pozornie)
end;

end.

